Upstream information

CVE-2016-1897 at MITRE

Description

FFmpeg 2.x allows remote attackers to conduct cross-origin attacks and read arbitrary files by using the concat protocol in an HTTP Live Streaming (HLS) M3U8 file, leading to an external HTTP request in which the URL string contains the first line of a local file.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.30
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 961937 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 42.1
  • ffmpeg >= 2.8.5-12.1
  • ffmpeg-debuginfo >= 2.8.5-12.1
  • ffmpeg-debugsource >= 2.8.5-12.1
  • ffmpeg-devel >= 2.8.5-12.1
  • libavcodec-devel >= 2.8.5-12.1
  • libavcodec56 >= 2.8.5-12.1
  • libavcodec56-32bit >= 2.8.5-12.1
  • libavcodec56-debuginfo >= 2.8.5-12.1
  • libavcodec56-debuginfo-32bit >= 2.8.5-12.1
  • libavdevice-devel >= 2.8.5-12.1
  • libavdevice56 >= 2.8.5-12.1
  • libavdevice56-32bit >= 2.8.5-12.1
  • libavdevice56-debuginfo >= 2.8.5-12.1
  • libavdevice56-debuginfo-32bit >= 2.8.5-12.1
  • libavfilter-devel >= 2.8.5-12.1
  • libavfilter5 >= 2.8.5-12.1
  • libavfilter5-32bit >= 2.8.5-12.1
  • libavfilter5-debuginfo >= 2.8.5-12.1
  • libavfilter5-debuginfo-32bit >= 2.8.5-12.1
  • libavformat-devel >= 2.8.5-12.1
  • libavformat56 >= 2.8.5-12.1
  • libavformat56-32bit >= 2.8.5-12.1
  • libavformat56-debuginfo >= 2.8.5-12.1
  • libavformat56-debuginfo-32bit >= 2.8.5-12.1
  • libavresample-devel >= 2.8.5-12.1
  • libavresample2 >= 2.8.5-12.1
  • libavresample2-32bit >= 2.8.5-12.1
  • libavresample2-debuginfo >= 2.8.5-12.1
  • libavresample2-debuginfo-32bit >= 2.8.5-12.1
  • libavutil-devel >= 2.8.5-12.1
  • libavutil54 >= 2.8.5-12.1
  • libavutil54-32bit >= 2.8.5-12.1
  • libavutil54-debuginfo >= 2.8.5-12.1
  • libavutil54-debuginfo-32bit >= 2.8.5-12.1
  • libpostproc-devel >= 2.8.5-12.1
  • libpostproc53 >= 2.8.5-12.1
  • libpostproc53-32bit >= 2.8.5-12.1
  • libpostproc53-debuginfo >= 2.8.5-12.1
  • libpostproc53-debuginfo-32bit >= 2.8.5-12.1
  • libswresample-devel >= 2.8.5-12.1
  • libswresample1 >= 2.8.5-12.1
  • libswresample1-32bit >= 2.8.5-12.1
  • libswresample1-debuginfo >= 2.8.5-12.1
  • libswresample1-debuginfo-32bit >= 2.8.5-12.1
  • libswscale-devel >= 2.8.5-12.1
  • libswscale3 >= 2.8.5-12.1
  • libswscale3-32bit >= 2.8.5-12.1
  • libswscale3-debuginfo >= 2.8.5-12.1
  • libswscale3-debuginfo-32bit >= 2.8.5-12.1
Patchnames:
openSUSE-2016-94
openSUSE Leap 42.2
  • libavcodec57 >= 3.1.3-2.1
  • libavformat57 >= 3.1.3-2.1
  • libavutil55 >= 3.1.3-2.1
  • libswresample2 >= 3.1.3-2.1
  • libswscale4 >= 3.1.3-2.1
Patchnames:
openSUSE Leap 42.2 GA libavcodec57
openSUSE Tumbleweed
  • ffmpeg >= 3.2.2-1.1
  • ffmpeg2-devel >= 2.8.8-3.1
  • libavcodec-devel >= 3.2.2-1.1
  • libavcodec56 >= 2.8.8-3.1
  • libavcodec56-32bit >= 2.8.8-3.1
  • libavcodec57 >= 3.2.2-1.1
  • libavcodec57-32bit >= 3.2.2-1.1
  • libavdevice-devel >= 3.2.2-1.1
  • libavdevice56 >= 2.8.8-3.1
  • libavdevice56-32bit >= 2.8.8-3.1
  • libavdevice57 >= 3.2.2-1.1
  • libavdevice57-32bit >= 3.2.2-1.1
  • libavfilter-devel >= 3.2.2-1.1
  • libavfilter5 >= 2.8.8-3.1
  • libavfilter5-32bit >= 2.8.8-3.1
  • libavfilter6 >= 3.2.2-1.1
  • libavfilter6-32bit >= 3.2.2-1.1
  • libavformat-devel >= 3.2.2-1.1
  • libavformat56 >= 2.8.8-3.1
  • libavformat56-32bit >= 2.8.8-3.1
  • libavformat57 >= 3.2.2-1.1
  • libavformat57-32bit >= 3.2.2-1.1
  • libavresample-devel >= 3.2.2-1.1
  • libavresample2 >= 2.8.8-3.1
  • libavresample2-32bit >= 2.8.8-3.1
  • libavresample3 >= 3.2.2-1.1
  • libavresample3-32bit >= 3.2.2-1.1
  • libavutil-devel >= 3.2.2-1.1
  • libavutil54 >= 2.8.8-3.1
  • libavutil54-32bit >= 2.8.8-3.1
  • libavutil55 >= 3.2.2-1.1
  • libavutil55-32bit >= 3.2.2-1.1
  • libpostproc-devel >= 3.2.2-1.1
  • libpostproc53 >= 2.8.8-3.1
  • libpostproc53-32bit >= 2.8.8-3.1
  • libpostproc54 >= 3.2.2-1.1
  • libpostproc54-32bit >= 3.2.2-1.1
  • libswresample-devel >= 3.2.2-1.1
  • libswresample1 >= 2.8.8-3.1
  • libswresample1-32bit >= 2.8.8-3.1
  • libswresample2 >= 3.2.2-1.1
  • libswresample2-32bit >= 3.2.2-1.1
  • libswscale-devel >= 3.2.2-1.1
  • libswscale3 >= 2.8.8-3.1
  • libswscale3-32bit >= 2.8.8-3.1
  • libswscale4 >= 3.2.2-1.1
  • libswscale4-32bit >= 3.2.2-1.1
Patchnames:
openSUSE Tumbleweed GA ffmpeg